import React, { Component } from 'react';
import { Table, } from 'antd';
import SearchForm from './../components/search/SearchForm';
import { stores_Context } from '../config';
import { observer } from 'mobx-react';

class MobileDeal extends Component {
  static contextType = stores_Context;

  constructor(props) {
    super(props);
  }

  render() {
    const { dashboard_store, date_picker_store } = this.context;
    const mobile_data = dashboard_store.mobile_data;
    return (
      <div>
        <h2>移动成交</h2>
        <SearchForm
          defaultValue={{
            initialValue: {
              ...date_picker_store.formValues,
              ...mobile_data.mobileSearchValues,
            },
            shows: ['DateType', 'DepartmentList', 'dates'],
            fieldProps: {
              DepartmentList: { show_all: false, mode: 'multiple', col: 24 },
              WebCode: { show_all: true },
              dates: { hide_vs: true, col: 12 },
              DateType: { col: 6, disabledKeys: ['confirmDate'] },
            },
          }}
          onSubmit={(_err, obj, form, str) => {
            dashboard_store.setMobileSearchValues(obj, form);
            mobile_data.asyncFetch();
          }}
        />
        <Table dataSource={mobile_data.data} columns={mobile_data.columns} pagination={false} size="small" />
      </div>
    );
  }
}

export default observer(MobileDeal);
