import { Radio } from 'antd';
import { observer } from 'mobx-react';
import { datePartOptions, resultDataCb } from './date';

/**
 * 仅前端转换数据
 * 把按天的数据转换成 按周,季,月,年
 */
export default observer((props) => {
  const { visible, dataRaw, dataMapper, fieldMapper, onChange, ...extProps } = props;
  const _dataMapper = dataMapper || { 'data1': null, data2: null };
  const handleChange = ({ target: { value } }) => {
    resultDataCb(dataRaw, value, _dataMapper, fieldMapper, onChange);
  };
  return <>{visible !== false ? <Radio.Group options={datePartOptions} optionType="button" onChange={handleChange} {...extProps} /> : null}</>;
});
