import { useEffect, useState } from 'react';
import { observer } from 'mobx-react';
import { sortBy, merge } from '../utils/commons';
import { dataFieldAlias } from '../libs/ht';
import { Mix, Scatter } from '@ant-design/plots';

export default observer((props) => {
  const { dataSource, ...extProps } = props;
  const config = merge(
    {
      appendPadding: 10,
      // xField: 'Revenue (Millions)',
      // yField: 'Rating',
      shape: 'circle',
      // colorField: 'Genre',
      size: 4,
      yAxis: {
        nice: true,
        line: {
          style: {
            stroke: '#aaa',
          },
        },
      },
      xAxis: {
        min: -100,
        grid: {
          line: {
            style: {
              stroke: '#eee',
            },
          },
        },
        line: {
          style: {
            stroke: '#aaa',
          },
        },
      },
    }, extProps);
  return <Scatter {...config} data={dataSource} />;
});
