import { observer } from 'mobx-react';
import { Card, Statistic, Progress } from 'antd';
import { ArrowUpOutlined, ArrowDownOutlined } from '@ant-design/icons';

export default observer((props) => {
  const ValueIcon = props.icon;
  const valueStyle = { color: (props?.VSrate || -1) < 0 ? '#3f8600' : '#cf1322' };
  const VSIcon = () => ((props?.VSrate || -1) < 0 ? <ArrowDownOutlined /> : <ArrowUpOutlined />);
  return (
    <Card>
      <Statistic
        className={'__hn-sta-wrapper'}
        valueStyle={valueStyle}
        suffix={
          props.VSrate && (
            <>
              <VSIcon />
              <span>{props.VSrate}</span>
              <span>%</span>
            </>
          )
        }
        prefix={<ValueIcon twoToneColor="#89B67F" />}
        // title={<Space><ValueIcon twoToneColor="#89B67F" /><span>{props.title}</span></Space>}
        {...props}
        value={props.valueSuffix ? `${props.value} ${props.valueSuffix}` : props.value}
      />
      {props.showProgress !== false && <Progress percent={props.KPIrate} size="small" format={(percent) => `${props.KPIrate}%`} />}
    </Card>
  );
});
