import React, {Component} from 'react';
import {Select} from 'antd';
import {observer} from "mobx-react";
import { biz } from '../../libs/ht';


const Business_unit = (props) => {
    const { store, mode, value, onChange, show_all, ...extProps } = props;
    return (
        <div>
            <Select
                mode={mode || store?.bu_select_mode || null}
                allowClear
                style={{width: '100%',}}
                placeholder="选择事业部"
                value={value || store?.business_units || { key: '-1', label: 'ALL 事业部' }}
                onChange={(value) => {
                  if (typeof onChange === 'function') {
                    onChange(value);
                  }
                  store?.bu_handleChange(value);
                }}
                labelInValue={false}
                {...extProps}
            >
                {props.show_all ? <Select.Option key="-1" value="ALL">ALL 事业部</Select.Option> : ''}
                {biz.map(ele => <Select.Option key={ele.key} value={ele.label}>{ele.label}</Select.Option>)}
            </Select>
        </div>
    );
};
/**
 * 基于组织架构
 */
export default observer(Business_unit);
