import React, { Component } from 'react';
import { Select } from 'antd';
import { observer } from 'mobx-react';
import { dateTypes } from './../../libs/ht';

class DataTypeSelect extends Component {
  constructor(props) {
    super(props);
  }

  // debug:
  // componentDidMount() {
  //   console.log(this.props, 'DataTypeSelect props');
  // }

  handleChange = (value) => {
    if (this.props.store) {
      this.props.store.onChange_datetype(value);
    }
    if (this.props.onChange) {
      this.props.onChange(value);
    }
  };

  render() {
    const { store, ...extProps } = this.props;
    return (
        <Select labelInValue={false}
          // value={store.date_type}
          value={this.props?.value || store?.date_type}
          style={{ width: '100%' }}
          placeholder="选择日期类型"
          // onChange={(value) => store.onChange_datetype(value)}
          onChange={this.handleChange}
          {...extProps}
        >
          {dateTypes.map((ele) => (
            <Select.Option key={ele.key} value={ele.key} disabled={extProps.disabledkeys.includes(ele.key)}>
              {ele.label}
            </Select.Option>
          ))}
        </Select>
    );
  }
}

export default observer(DataTypeSelect);
