import React, { Component } from 'react';
import { Col, DatePicker, Row, Form } from 'antd';
import { observer } from 'mobx-react';
import * as config from '../../config';
import moment from 'moment';
import 'moment/locale/zh-cn';
import locale from 'antd/es/date-picker/locale/zh_CN';
import { stores_Context } from '../../config';

// 用于日期选择，计算上一时间段、同比时间等
class DatePickerCharts extends Component {
  static contextType = stores_Context;

  constructor(props) {
    super(props);
  }

  render() {
    const { date_picker_store } = this.context;
    return (
      <div>
        <Row>
          <Col span={24}>
            <Form.Item name={`year`} noStyle initialValue={date_picker_store.start_date}>
              <DatePicker
                picker="year"
                style={{ width: '100%' }}
                format={`YYYY`}
                locale={locale}
                allowClear={false}
                onChange={(e) => {
                  const fullYear = [e.clone().set('month', 0).set('date', 1), e.clone().set('month', 11).set('date', 31)];
                  date_picker_store.onChange_dataPicker(fullYear);
                  if (typeof this.props.onChange === 'function') {
                    this.props.onChange(fullYear);
                  }
                }}
              />
            </Form.Item>
          </Col>
          {this.props.hide_vs ? (
            ''
          ) : (
            <Col span={24}>
              <Form.Item name={`yearDiff`} noStyle initialValue={date_picker_store.start_date_cp}>
                <DatePicker
                  picker="year"
                  bordered={false}
                  style={{ width: '100%' }}
                  format={`YYYY`}
                  locale={locale}
                  placeholder={"对比 Year"}
                  onChange={(value) => {
                    const fullYear = value ? [value.clone().set('month', 0).set('date', 1), value.clone().set('month', 11).set('date', 31)] : undefined;
                    if (typeof this.props.onChange === 'function') {
                      this.props.onChange(fullYear);
                    }
                    date_picker_store?.onChange_dataPicker_cp(fullYear);
                  }}
                />
              </Form.Item>
            </Col>
          )}
        </Row>
      </div>
    );
  }
}

export default observer(DatePickerCharts);
