import Mock from 'mockjs';
import fetchMock from 'fetch-mock';

// Unhandled calls fall through to the network
fetchMock.config.fallbackToNetwork = true;

// 使用webpack的require.context()遍历所有mock文件
const files = require.context('./', true, /.json$/);
const configArray = files.keys().reduce((s, c) => s.concat(files(c)), []);

// 注册所有的mock服务
configArray.forEach((item) => {
  for (const [path, target] of Object.entries(item)) {
    const protocol = path.split('|');
    // const apiUrl = new RegExp(`${protocol[1]}.*`);
    // fetch 不支持mock
    // Mock.mock(apiUrl, protocol[0].toLocaleLowerCase(), target);

    // fetchMock.mock(matcher, response, options)
    fetchMock.mock(
      `path:${protocol[1]}`,
      () => {
        const res = Mock.mock(target);
        console.log(`invoke mock`, protocol[1], res);
        return res;
      },
      { method: protocol[0], delay: 1000 }
    );
  }
});
