import {makeAutoObservable, runInAction} from "mobx";
import * as dd from 'dingtalk-jsapi';
import * as config from "../config";


// 会话管理
class ChatSessionStore {

    constructor(rootStore) {
        this.rootStore = rootStore;
        makeAutoObservable(this);
    }

    wechat_data = {
        counselors: [],// 顾问列表
        customers: [],// 客户列表
    };


    // 请求权限
    get_auth() {
        const _this = this;
        const CORPID = 'ding48bce8fd3957c96b';// 企业的id
        dd.runtime.permission.requestAuthCode({
            corpId: CORPID,
            onSuccess: function (res) {
                console.log(res);
                const code = res.code;
                const url = '/dingtalk/dingtalkwork/Getusers_auth?code=' + code;
                // 请求获取HT接口获取用户权限和用户信息
                fetch(config.HT_HOST + url)
                    .then((response) => response.json())
                    .then((json) => {
                        runInAction(() => {
                            _this.user = json.result;
                            _this.auth = json.result.authlist;
                        });
                    })
                    .catch((error) => {
                        console.log('fetch data failed', error);
                    });
            },
            onFail: function (err) {
                console.log(err);
            }
        });
    }
}


export default ChatSessionStore;

