import { makeAutoObservable, runInAction, toJS } from 'mobx';
import { fetchJSON } from '../utils/request';
import { isEmpty, sortBy, pick, merge, fixTo2Decimals, groupBy, sortKeys, fixToInt, cloneDeep } from '../utils/commons';
import { dataFieldAlias } from './../libs/ht';

class Trade {
  constructor(rootStore) {
    this.rootStore = rootStore;
    makeAutoObservable(this);
  }

  /**
   * 明细
   */
  getDetailData = async (param, page) => {
    this.detailData[page] = { loading: true, dataSource: [], originData: [] };
    const json = await fetchJSON('/service-Analyse2/GetTradeApartDetail', param);
    if (json.errcode === 0) {
      runInAction(() => {
        this.detailData[page].loading = false;
        this.detailData[page].dataSource = json.result;
        this.detailData[page].originData = json.result;
      });
    }
    return json.result;
  };

  setSearchValues(body) {
    this.searchValues = body;
  }

  timeLineKey = 'week';
  setTimeLineKey(v) {
    this.timeLineKey = v;
  }

  resetData = () => {
    this.detailData = {
      orders: { loading: false, dataSource: [], originData: [] },
      trade: { loading: false, dataSource: [], originData: [] },
    };
  };

  searchValues = {};
  detailData = {
    orders: { loading: false, dataSource: [], originData: [] },
    trade: { loading: false, dataSource: [], originData: [] },
  };
}

export default Trade;
