import {makeAutoObservable} from "mobx";
import OrdersStore from "./OrdersStore";
import DashboardStore from "./DashboardStore";
import DatePickerStore from "./DatePickerStore";
import CustomerStore from "./CustomerStore";
import AuthStore from "./AuthStore";
import ChatSessionStore from "./ChatSessionStore";
import FinancialStore from "./FinancialStore";
import SaleStore from "./SaleStore";
import WechatStore from "./Wechat";
import WhatsAppStore from "./WhatsApp";
import CustomerServicesStore from "./CustomerServices";
import TradeStore from "./Trade";
import KPI from "./KPI";
import DictData from "./DictData";
import Distribution from "./Distribution";
import DataPivot from './DataPivot';
import MeetingData from './MeetingData2024';
import MeetingData2025 from './MeetingData2025';
import SalesCRMData from './SalesCRMData';
import HotelCruise from './HotelCruise';
class Index {
    constructor() {
        this.dashboard_store = new DashboardStore(this);
        this.orders_store = new OrdersStore(this);
        this.date_picker_store = new DatePickerStore(this);
        this.customer_store = new CustomerStore(this);
        this.auth_store = new AuthStore(this);
        this.chat_session_store = new ChatSessionStore(this);
        this.financial_store = new FinancialStore(this);
        this.sale_store = new SaleStore(this);
        this.wechatStore = new WechatStore(this);
        this.whatsAppStore = new WhatsAppStore(this);
        this.customerServicesStore = new CustomerServicesStore(this);
        this.TradeStore = new TradeStore(this);
        this.KPIStore = new KPI(this);
        this.DictDataStore = new DictData(this);
        this.DistributionStore = new Distribution(this);
        this.DataPivotStore = new DataPivot(this);
        this.MeetingDataStore = new MeetingData(this);
        this.MeetingData2025Store = new MeetingData2025(this);
        this.SalesCRMDataStore = new SalesCRMData(this);
        this.HotelCruiseStore = new HotelCruise(this);
        makeAutoObservable(this);
    }

}

export default Index;
