import { observer } from 'mobx-react';
import moment from 'moment';
import { APP_VERSION } from '../config';
import { SlackOutlined, SketchOutlined, AntCloudOutlined, RedditOutlined, GithubOutlined } from '@ant-design/icons';

export default observer((props) => {
  const compileTime = moment(Number(process.env.REACT_APP_BUILD_TIME)).format('YYYY-MM-DD ddd HH:mm:ss');
  return (
    <>
      <div>
        <SketchOutlined /> <AntCloudOutlined /> <SlackOutlined /> <RedditOutlined /> <GithubOutlined />
        <div>欢迎! </div>
        <div>当前版本: v<span>{APP_VERSION}</span></div>
        <div>编译时间: <span>{compileTime}</span></div>
        <SketchOutlined /> <AntCloudOutlined /> <SlackOutlined /> <RedditOutlined /> <GithubOutlined />
      </div>
    </>
  );
});
